import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { InfraStoreModule } from './infra-store.module';
import { COMPONENTS } from './component';
import { SERVICES } from './service';
import { FormsModule } from '@angular/forms';
import { PrimeNGModules } from '../commons/prime-ng/prime-ng.module';
import { DiscoveryModule } from 'packages/discovery/discovery.module';


@NgModule({
  imports: [
    CommonModule,
    InfraStoreModule,
    FormsModule,
    PrimeNGModules,
    DiscoveryModule
  ],
  declarations: [
    COMPONENTS,
  ],
  exports: [
    COMPONENTS,
  ],
  providers: [
    SERVICES
  ]
})
export class InfraModule { }
